## org.hibernate.envers
Annotation Type AuditMappedBy

    @Retention(value=RUNTIME)
    @Target(value={METHOD,FIELD})
    public @interface AuditMappedBy

Annotation to specify a "fake" bi-directional relation. Such a relation uses `@OneToMany` + `@JoinColumn` on the one side, and `@ManyToOne` + `@Column(insertable=false, updatable=false)` on the many side. Then, Envers won't use a join table to audit this relation, but will store changes as in a normal bi-directional relation.

This annotation is experimental and may change in future releases.

Author:
  Adam Warski (adam at warski dot org)

Required Element Summary
`String` `mappedBy`

Optional Element Summary
`String` `positionMappedBy`

Element Detail

### mappedBy

    public abstract String mappedBy

  Returns:
    Name of the property in the related entity which maps back to this entity. The property should be mapped with `@ManyToOne` and `@Column(insertable=false, updatable=false)`.

### positionMappedBy

    public abstract String positionMappedBy

  Returns:
    Name of the property in the related entity which maps to the position column. Should be specified only for indexed collection, when @`IndexColumn` is used on the collection. The property should be mapped with `@Column(insertable=false, updatable=false)`.
  Default:
    ""

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.